/*
 *    for STM32F746 Discovery
 *
 *    Copyright (C) by Hasada & FCT Embedded System Research Circle
 */

#ifndef __IMGPRO_API_H__
#define __IMGPRO_API_H__

void  api_copy_bmp_to_v( unsigned char *bmp, int lcdnum );
void  api_copy_fb_to_v( int lcdnum );
void  api_copy_v_to_r( int lcdnum );
void  api_disp_lcd( int lcdnum );
int  api_sdcard_file_check( char *fname );
void  api_sdcard_read( char *fname, unsigned char *buff, int size );
void  api_sdcard_write( char *fname, unsigned char *buff, int size );
void  api_write_bmp_file( unsigned char *photo, char *fname );
void  api_camera_stop( void );
void  api_camera_start( void );

/* for TOPPERS/ASP */
void  syslog(unsigned long prio, const char *format, ...);
int  dly_tsk( unsigned long );
int  tslp_tsk( unsigned long );

#endif /* __IMGPRO_API_H__ */
